> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a file



## OpenAPI

````yaml /api-reference/membrane-api.json post /files
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /files:
    post:
      tags:
        - Files
      summary: Upload a file
      operationId: uploadFile
      parameters: []
      requestBody:
        required: true
        description: File binary data
        content:
          application/octet-stream:
            schema:
              type: string
              format: binary
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileUploadResponseDto'
components:
  schemas:
    FileUploadResponseDto:
      type: object
      properties:
        downloadUri:
          type: string
      required:
        - downloadUri
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````